GTXclient C API GTXserver-16.0.2

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
GTXVariableInfo Struct Reference

Information on a Variable. More...

`#include <GTXClient.h>`

## Data Fields
GTX_VAR_TYPE | type
int | bit_length
int | alpha_length
int | implicit
int | i_number
char | unit [11]
char | unit_symbol [11]
int | length_var

## Detailed Description

Information on a Variable.

See Also
  GTXClientGetVariableInfo

Examples:
  motif_client.c, text_client.c, and text_list.c.

## Field Documentation

int GTXVariableInfo::alpha_length

            number of characters (only applicable for string

variables)

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetVariableInfo().

int GTXVariableInfo::bit_length

              precision of the variable, can be 1, 2, 4, 8, 16,

32 or 64 bits. A selection variable is also known as a 1 bit float variable

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetVariableInfo().

int GTXVariableInfo::i_number

                number of variables (indices) stored in a macro

variable

Referenced by GTXClientGetVariableInfo().

int GTXVariableInfo::implicit

                indicates that the variable is implicit in

Isatis file system

Examples:
  text_client.c, and text_list.c.

Referenced by GTXClientGetVariableInfo().

int GTXVariableInfo::length_var

1 if the variable is a length variable.

Examples:
  motif_client.c.

Referenced by GTXClientGetVariableInfo().

GTX_VAR_TYPE GTXVariableInfo::type

variable type

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetVariableInfo().

char GTXVariableInfo::unit[11]

unit string

Examples:
  motif_client.c, text_client.c, and text_list.c.

Referenced by GTXClientGetVariableInfo().

char GTXVariableInfo::unit_symbol[11]

Additionnal Symbol (used for length)

Examples:
  motif_client.c.

Referenced by GTXClientGetVariableInfo().

The documentation for this struct was generated from the following file:

- include/GTXClient.h